## ros-melodic-kinesis-video-msgs 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kinesis_video_msgs)

find_package(catkin REQUIRED COMPONENTS
    message_generation
    message_runtime
    diagnostic_msgs
)

## Generate messages in the 'msg' folder
add_message_files(
    FILES
    KinesisVideoFrame.msg
    KinesisImageMetadata.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
    DEPENDENCIES diagnostic_msgs
)

include_directories(
    # include
    ${catkin_INCLUDE_DIRS}
)

catkin_package()

=== debian/changelog ===
ros-melodic-kinesis-video-msgs (2.0.3-1bionic) bionic; urgency=high



 -- AWS RoboMaker <ros-contributions@amazon.com>  Tue, 01 Sep 2020 07:00:00 -0000

ros-melodic-kinesis-video-msgs (2.0.2-1bionic) bionic; urgency=high

  * increment patch version (#38 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/38>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Update changelog (#23 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/23>)
    * Release 2.0.1
    * 2.0.1
  * Setting frame's trackId to the default for compatibility with newer v… (#21 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/21>)
    * Setting frame's trackId to the default for compatibility with newer version of the Kinesis Producer SDK.
    * Update version in package.xml
  * Contributors: AAlon, M. M

 -- AWS RoboMaker <ros-contributions@amazon.com>  Thu, 01 Aug 2019 07:00:00 -0000

ros-melodic-kinesis-video-msgs (2.0.1-1bionic) bionic; urgency=high

  * Setting frame's trackId to the default for compatibility with newer v… (#21 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/21>)
    * Setting frame's trackId to the default for compatibility with newer version of the Kinesis Producer SDK.
    * Update version in package.xml
  * Contributors: AAlon

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 29 Mar 2019 07:00:00 -0000

ros-melodic-kinesis-video-msgs (2.0.0-1bionic) bionic; urgency=high

  * Update package.xml
  * Contributors: AAlon

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 20 Mar 2019 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-kinesis-video-msgs
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-message-generation
Homepage: http://wiki.ros.org/kinesis_video_msgs
Standards-Version: 3.9.2

Package: ros-melodic-kinesis-video-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-msgs, ros-melodic-message-runtime
Description: Messages for transmitting video frames to Kinesis Video Streams

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-kinesis-video-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
